Bug 51499 - Suexec missing useful redirect environmental variables
Suexec missing useful redirect environmental variables
Status: RESOLVED FIXED
Product: Apache httpd-2
Classification: Unclassified
Component: support
2.5-HEAD
All All
: P2 enhancement (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
: FixedInTrunk
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-07-11 21:55 UTC by Graham Laverty
Modified: 2012-02-26 17:12 UTC (History)
0 users



Attachments
Proposed suexec diff (438 bytes, application/octet-stream)
2011-07-11 21:55 UTC, Graham Laverty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Laverty 2011-07-11 21:55:42 UTC
Created attachment 27281 [details]
Proposed suexec diff

suexec.c is missing support for a few useful environmental variables that are useful for ErrorDocument scripts.

Here is patch with what I think is a minimum set of additional environmental variables that I think would be useful (two!).

I've attached a proposed diff, and pasted it below for your convenience.

===================================================================
--- suexec.c    (1)
+++ suexec.c    (working copy)
@@ -99,9 +99,11 @@
     "REMOTE_IDENT=",
     "REMOTE_PORT=",
     "REMOTE_USER=",
+    "REDIRECT_ERROR_NOTES=",
     "REDIRECT_HANDLER=",
     "REDIRECT_QUERY_STRING=",
     "REDIRECT_REMOTE_USER=",
+    "REDIRECT_SCRIPT_FILENAME=",
     "REDIRECT_STATUS=",
     "REDIRECT_URL=",
     "REQUEST_METHOD=",
Comment 1 Stefan Fritsch 2011-07-13 19:12:06 UTC
commited in 0
Comment 2 Stefan Fritsch 2012-02-26 17:12:32 UTC
fixed in 2.4.1